TIBCO ActiveSpaces®

Functions
gridmetadata.h File Reference

A data grid metadata object contains metadata information about the data grid and the tables in the data grid. More...

## Functions
TIBDG_API void | tibdgGridMetadata_Destroy (tibEx e, tibdgGridMetadata gridMetadata)
| Destroy a data grid metadata object. More...
TIBDG_API const char * | tibdgGridMetadata_GetGridName (tibEx e, tibdgGridMetadata gridMetadata)
| Get the name of the data grid. More...
TIBDG_API tibdgTableMetadata | tibdgGridMetadata_GetTableMetadata (tibEx e, tibdgGridMetadata gridMetadata, const char *tableName)
| Get the table metadata object by its table name. More...
TIBDG_API tibdgTableMetadata * | tibdgGridMetadata_GetTableMetadataArray (tibEx e, tibdgGridMetadata gridMetadata, tibint32_t *arraySize)
| Get all table metadata objects in the grid metadata. More...
TIBDG_API const char ** | tibdgGridMetadata_GetTableNames (tibEx e, tibdgGridMetadata gridMetadata, tibint32_t *arraySize)
| Get the names of the tables in the data grid. More...
TIBDG_API const char * | tibdgGridMetadata_GetVersion (tibEx e, tibdgGridMetadata gridMetadata)
| Get the data grid's product version string. More...

## Detailed Description

A data grid metadata object contains metadata information about the data grid and the tables in the data grid.

A program that creates a data grid metadata object must explicitly call tibdgGridMetadata_Destroy to reclaim its resources.

## Function Documentation

## ◆ tibdgGridMetadata_Destroy()

TIBDG_API void tibdgGridMetadata_Destroy | ( | tibEx | e,
|  | tibdgGridMetadata | gridMetadata
| ) |  |

Destroy a data grid metadata object.

Release all resources associated with this data grid metadata object.

Note that destroying a data grid metadata object invalidates all objects accessed from it. Do not rely on information retrieved from the data grid metadata object after it is destroyed. Such information must instead be copied before destroying the metadata object.

Parameters

  e | The exception object captures information about failures.
  gridMetadata | The data grid metadata object to be destroyed.

Returns
  void

## ◆ tibdgGridMetadata_GetGridName()

TIBDG_API const char * tibdgGridMetadata_GetGridName | ( | tibEx | e,
|  | tibdgGridMetadata | gridMetadata
| ) |  |

Get the name of the data grid.

This will be the product version associated with the proxy that returned the data grid metadata.

Note that the string provided by this API will be destroyed when the data grid metadata object is destroyed.

Parameters

  e | The exception object captures information about failures.
  gridMetadata | The grid metadata object from which to get the data grid name.

Returns
  On success, this call returns a data grid name string.
  On failure, this call returns `NULL`.

## ◆ tibdgGridMetadata_GetTableMetadata()

TIBDG_API tibdgTableMetadata tibdgGridMetadata_GetTableMetadata | ( | tibEx | e,
|  | tibdgGridMetadata | gridMetadata,
|  | const char * | tableName
| ) |  |

Get the table metadata object by its table name.

Note that the table metadata object provided by this API will be destroyed when the data grid metadata object is destroyed.

Parameters

  e | The exception object captures information about failures.
  gridMetadata | The grid metadata object from which to get the table metadata object.
  tableName | The name of the table to get the metadata.

Returns
  On success, this call returns a table metadata object.
  On failure, this call returns `NULL`.

## ◆ tibdgGridMetadata_GetTableMetadataArray()

TIBDG_API tibdgTableMetadata * tibdgGridMetadata_GetTableMetadataArray | ( | tibEx | e,
|  | tibdgGridMetadata | gridMetadata,
|  | tibint32_t * | arraySize
| ) |  |

Get all table metadata objects in the grid metadata.

Note that the array of table metadata objects provided by this API will be destroyed when the grid metadata object is destroyed.

Parameters

  e | The exception object captures information about failures.
  gridMetadata | The grid metadata object from which to get the table metadata objects.
  arraySize | The call returns the length of the array (output).

Returns
  On success, this call returns an arra of table metadata objects.
  On failure, this call returns `NULL`.

## ◆ tibdgGridMetadata_GetTableNames()

TIBDG_API const char ** tibdgGridMetadata_GetTableNames | ( | tibEx | e,
|  | tibdgGridMetadata | gridMetadata,
|  | tibint32_t * | arraySize
| ) |  |

Get the names of the tables in the data grid.

Note that the array of strings provided by this API will be destroyed when the data grid metadata object is destroyed.

Parameters

  e | The exception object captures information about failures.
  gridMetadata | The data grid metadata object from which to get the table names.
  arraySize | The call returns the length of the array (output).

Returns
  On success, this call returns an array of table name strings.
  On failure, this call returns `NULL`.

## ◆ tibdgGridMetadata_GetVersion()

TIBDG_API const char * tibdgGridMetadata_GetVersion | ( | tibEx | e,
|  | tibdgGridMetadata | gridMetadata
| ) |  |

Get the data grid's product version string.

This will be the product version associated with the proxy that returned the data grid metadata.

Note that the string provided by this API will be destroyed when the data grid metadata object is destroyed.

Parameters

  e | The exception object captures information about failures.
  gridMetadata | The grid metadata object from which to get the version.

Returns
  On success, this call returns the version string.
  On failure, this call returns `NULL`.